## linux-igd 1.0%2Bcvs20070630

=== debian/control ===
Source: linux-igd
Section: net
Priority: optional
Homepage: http://linux-igd.sourceforge.net/
Maintainer: Nick Leverton <nick@leverton.org>
Build-Depends: debhelper (>= 9), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
Standards-Version: 3.9.6

Package: linux-igd
Architecture: any
Depends: iptables, lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Linux UPnP Internet Gateway Device
 This is a daemon which emulates Microsoft's Internet Connection Service (ICS).
 It implements the UPnP Internet Gateway Device specification (IGD) and allows
 UPnP aware clients, such as MSN Messenger or games consoles, to work
 properly from behind a NAT firewall.
