=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Homepage: http://linux-igd.sourceforge.net/
-Maintainer: Nick Leverton <nick@leverton.org>
-Build-Depends: debhelper (>= 9), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
-Standards-Version: 3.9.6
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 11), iptables-dev, pkg-config, libupnp-dev (>= 1:1.6.17)
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 
 Package: linux-igd
 Architecture: any
