=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -DDEBUG

CPPFLAGS_DEF += `dpkg-buildflags --get CPPFLAGS`
CFLAGS_DEF += `dpkg-buildflags --get CFLAGS`
LDFLAGS_DEF += `dpkg-buildflags --get LDFLAGS`

%:
	dh $@

override_dh_auto_build:
	## iptc was removed as a public interface in iptables 1.4.0.  We will need
	## to re-work it all for netfilter+xtables and, in due course, for IPV6.
	# dh_auto_build -- HAVE_LIBIPTC=1 HAVE_XTABLES=1 HAVE_IPTABLES_143=1
	dh_auto_build -- CFLAGS="$(CPPFLAGS_DEF) $(CFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)"
